Get the list of bank connection
Returns the list of bank connection for consumer consumer_id.
GET
/
consumers
/
{consumer_id}
/
banks
Get the list of bank connection
curl --request GET \
--url https://api.example.com/consumers/{consumer_id}/banks \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.example.com/consumers/{consumer_id}/banks"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.example.com/consumers/{consumer_id}/banks', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"items": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"bank_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
],
"meta": {
"links": {
"first": "/api/example?page=1&per_page=50",
"last": "/api/example?page=5&per_page=50",
"self": "/api/example?page=3&per_page=50",
"next": "/api/example?page=4&per_page=50",
"prev": "/api/example?page=2&per_page=50"
},
"page": 1,
"per_page": 50,
"total": 1000
}
}{
"message": "Bad Request"
}{
"message": "Missing or invalid Authorization Header."
}{
"message": "You don’t have permission to access this resource."
}{
"message": "Resource Not Found"
}{
"message": "Conflict error"
}{
"message": "Internal Server Error"
}Authorizations
Enter your "Injector" API Key
See Authentication section for more information
Path Parameters
Unique ID of the consumer that you have registered when the user was onboarded.
Required string length:
2 - 100Query Parameters
Required range:
x >= 1Required range:
1 <= x <= 1000Was this page helpful?
⌘I
Get the list of bank connection
